## NAME

d.histogram - Displays a histogram in the form of a pie or bar chart for a user-specified raster file.
(GRASS Display Program)

## SYNOPSIS

d.histogram
d.histogram help
d.histogram [-qnC] map=name [color=name] [style=name] [nsteps=value]

## DESCRIPTION

d.histogram displays the category-value distribution for a user-specified raster map layer, in the form of a bar chart or a pie chart. The display will be displayed in the active display frame on the graphics monitor, using the colors in the raster map layer's color table. The program determines the raster file's category value distribution by counting cells.

## OPTIONS

The user can run this program either non-interactively or interactively. The program will be run non-interactively if the user specifies the name of a raster map layer and (optionally) any other desired parameters and flags on the command line, using the form:

  d.histogram [-zqnC] map=name [color=name] [style=name] [nsteps=value]

If a map name is given on the command line, any other parameter values left unspecified on the command line will be set to their default values (see below). Alternately, the user can simply type d.histogram on the command line, without program arguments. In this case, the user will be prompted for needed inputs and option choices using the standard GRASS parser interface.

### Flags:

-q
  Gather the histogram quietly, without printing messages on program progress to the user's terminal.
-n
  Display information for null cells.
-C
  Report for ranges defined in cats file (fp maps only).

### Parameters:

map=name
  The name of an existing raster map layer in the user's current mapset search path for which a histogram is to be displayed.
color=name
  The name of the color to be used for the axis, text-labels, and tic-marks on the pie or bar chart.
  Options: white, red, orange, yellow, green, blue, indigo, magenta, violet, brown, gray, and black
  Default: white
style=name
  The style of the histogram. If style=bar, then d.histogram will displays the statistics in the form of a bar chart. If style=pie, then d.histogram will display the statistics in the form of a pie chart.
  Options: bar or pie
  Default: bar
nsteps=value
  Number of steps to divide the data range into (FP maps only).
  Default: 255

## NOTES

d.histogram uses the current geographic region settings and the current mask (if one exists).

d.histogram uses the colors in the map's color look-up table (i.e., the map's colr or colr2 file). To view results correctly on the display monitor, make sure the color mode is correctly set before running d.histogram (i.e., execute d.colormode mode=float).

d.histogram does not erase the active frame before displaying output.

## SEE ALSO

d.colormode | d.colors | d.colortable
d.display | d.erase | g.region
r.mask | r.stats | parser

## AUTHOR

Dave Johnson
DBA Systems, Inc.
10560 Arrowhead Drive
Fairfax, Virginia 22030

Last changed: $Date: 2002/01/25 05:45:32 $